Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.filter.visualization.callTree
Class AbstractAggregatedCallTreeFilter<T>

    java.lang.Object
      kieker.analysis.analysisComponent.AbstractAnalysisComponent
          kieker.analysis.plugin.AbstractPlugin
              kieker.analysis.plugin.filter.AbstractFilterPlugin
                  kieker.tools.traceAnalysis.filter.AbstractTraceAnalysisFilter
                      kieker.tools.traceAnalysis.filter.AbstractTraceProcessingFilter
                          kieker.tools.traceAnalysis.filter.AbstractMessageTraceProcessingFilter
                              kieker.tools.traceAnalysis.filter.visualization.callTree.AbstractCallTreeFilter<T>
                                  kieker.tools.traceAnalysis.filter.visualization.callTree.AbstractAggregatedCallTreeFilter<T>

Type Parameters:
  `T` -

All Implemented Interfaces:
  IAnalysisComponent, IFilterPlugin, IPlugin

Direct Known Subclasses:
  AggregatedAllocationComponentOperationCallTreeFilter, AggregatedAssemblyComponentOperationCallTreeFilter

    public abstract class AbstractAggregatedCallTreeFilter<T>

extends AbstractCallTreeFilter<T>

This class has exactly one input port named "in". The data which is send to this plugin is not delegated in any way.

Since:
  1.1
Author:
  Andre van Hoorn

Nested Class Summary

Nested classes/interfaces inherited from class kieker.tools.traceAnalysis.filter.visualization.callTree.AbstractCallTreeFilter
`AbstractCallTreeFilter.IPairFactory<T>`

Nested classes/interfaces inherited from interface kieker.analysis.plugin.IPlugin
`IPlugin.PluginInputPortReference, IPlugin.STATE`

Field Summary
`static String` | `CONFIG_PROPERTY_NAME_INCLUDE_WEIGHTS` The name of the configuration determining whether to include weights or not.
`static String` | `CONFIG_PROPERTY_NAME_OUTPUT_FILENAME` The name of the configuration determining the dot output file name.
`static String` | `CONFIG_PROPERTY_NAME_SHORT_LABELS` The name of the configuration determining whether to use short labels in the call tree or not.
`static String` | `CONFIG_PROPERTY_VALUE_INCLUDE_WEIGHTS_DEFAULT` The default used value determining whether to include weights or not.
`static String` | `CONFIG_PROPERTY_VALUE_OUTPUT_FILENAME_DEFAULT` The default used output file name.
`static String` | `CONFIG_PROPERTY_VALUE_SHORT_LABELS_DEFAULT` The default used value determining whether to use short labels in the call tree or not.

Fields inherited from class kieker.tools.traceAnalysis.filter.AbstractMessageTraceProcessingFilter
`INPUT_PORT_NAME_MESSAGE_TRACES`

Fields inherited from class kieker.tools.traceAnalysis.filter.AbstractTraceAnalysisFilter
`CONFIG_PROPERTY_VALUE_VERBOSE, REPOSITORY_PORT_NAME_SYSTEM_MODEL`

Fields inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`CONFIG_NAME`

Constructor Summary
`AbstractAggregatedCallTreeFilter(Configuration configuration, IProjectContext projectContext)` Creates a new instance of this class using the given parameters.

Method Summary
`Configuration` | `getCurrentConfiguration()` This method should deliver a `Configuration` object containing the current configuration of this instance.
`void` | `inputMessageTraces(MessageTrace t)` This is the (abstract) input port for the incoming message traces.
`void` | `printStatusMessage()` Returns a user-addressed status message to be logged by the calling tool.
`void` | `saveTreeToDotFile()` This method tries to convert the current tree into the specified file as a valid dot file, which can later be transformed into a visual representation by dot itself.
`void` | `terminate(boolean error)` Saves the call tree to the dot file if error is not true.

Methods inherited from class kieker.tools.traceAnalysis.filter.visualization.callTree.AbstractCallTreeFilter
`writeDotForMessageTrace`

Methods inherited from class kieker.tools.traceAnalysis.filter.AbstractTraceProcessingFilter
`getErrorCount, getLastTraceIdError, getLastTraceIdSuccess, getSuccessCount, getTotalCount`

Methods inherited from class kieker.tools.traceAnalysis.filter.AbstractTraceAnalysisFilter
`createExecutionByEntityNames, createExecutionByEntityNames, getSystemEntityFactory`

Methods inherited from class kieker.analysis.plugin.filter.AbstractFilterPlugin
`init`

Methods inherited from class kieker.analysis.plugin.AbstractPlugin
`areAllRepositoryPortsConnected, connect, connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getIncomingPlugins, getPluginDescription, getPluginName, getState, isConnectionAllowed, shutdown, start`

Methods inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kieker.analysis.plugin.IPlugin
`connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getName, getPluginDescription, getPluginName, getState`

Field Detail

### CONFIG_PROPERTY_NAME_OUTPUT_FILENAME

    public static final String CONFIG_PROPERTY_NAME_OUTPUT_FILENAME

  The name of the configuration determining the dot output file name.

  See Also:
    Constant Field Values

### CONFIG_PROPERTY_NAME_INCLUDE_WEIGHTS

    public static final String CONFIG_PROPERTY_NAME_INCLUDE_WEIGHTS

  The name of the configuration determining whether to include weights or not.

  See Also:
    Constant Field Values

### CONFIG_PROPERTY_NAME_SHORT_LABELS

    public static final String CONFIG_PROPERTY_NAME_SHORT_LABELS

  The name of the configuration determining whether to use short labels in the call tree or not.

  See Also:
    Constant Field Values

### CONFIG_PROPERTY_VALUE_OUTPUT_FILENAME_DEFAULT

    public static final String CONFIG_PROPERTY_VALUE_OUTPUT_FILENAME_DEFAULT

  The default used output file name.

  See Also:
    Constant Field Values

### CONFIG_PROPERTY_VALUE_INCLUDE_WEIGHTS_DEFAULT

    public static final String CONFIG_PROPERTY_VALUE_INCLUDE_WEIGHTS_DEFAULT

  The default used value determining whether to include weights or not.

  See Also:
    Constant Field Values

### CONFIG_PROPERTY_VALUE_SHORT_LABELS_DEFAULT

    public static final String CONFIG_PROPERTY_VALUE_SHORT_LABELS_DEFAULT

  The default used value determining whether to use short labels in the call tree or not.

  See Also:
    Constant Field Values

Constructor Detail

### AbstractAggregatedCallTreeFilter

    public AbstractAggregatedCallTreeFilter(Configuration configuration,
                                            IProjectContext projectContext)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `configuration` - The configuration for this component.
    `projectContext` - The project context for this component.

Method Detail

### saveTreeToDotFile

    public void saveTreeToDotFile()
                           throws IOException

  This method tries to convert the current tree into the specified file as a valid dot file, which can later be transformed into a visual representation by dot itself.

  Throws:
    `IOException` - If something went wrong during the converting.

### printStatusMessage

    public void printStatusMessage()

  Description copied from class: `AbstractTraceProcessingFilter`
  Returns a user-addressed status message to be logged by the calling tool. Extending classes may override this method but should call the then-inherited method first.

  Overrides:
    `printStatusMessage` in class `AbstractTraceProcessingFilter`

### terminate

    public void terminate(boolean error)

  Saves the call tree to the dot file if error is not true.

  Specified by:
    `terminate` in interface `IPlugin`
  Overrides:
    `terminate` in class `AbstractFilterPlugin`
  Parameters:
    `error` - Determines whether the plugin terminated due to an error or not.

### getCurrentConfiguration

    public Configuration getCurrentConfiguration()

  This method should deliver a `Configuration` object containing the current configuration of this instance. In other words: The constructor should be able to use the given object to initialize a new instance of this class with the same intern properties.

  Specified by:
    `getCurrentConfiguration` in interface `IAnalysisComponent`
  Specified by:
    `getCurrentConfiguration` in interface `IPlugin`
  Overrides:
    `getCurrentConfiguration` in class `AbstractTraceAnalysisFilter`
  Returns:
    A completely filled configuration object.

### inputMessageTraces

    public void inputMessageTraces(MessageTrace t)

  Description copied from class: `AbstractMessageTraceProcessingFilter`
  This is the (abstract) input port for the incoming message traces.

  Specified by:
    `inputMessageTraces` in class `AbstractMessageTraceProcessingFilter`
  Parameters:
    `t` - The incoming message trace.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net